package edu.washington.cs.sounddetector.server.api.exception;

/**
 * Exception for when the server encounters an unexpected error that it does not know how to deal
 * with.
 * 
 * @author the.dylan.price@gmail.com
 * 
 */
public class SoundDetectorInternalErrorException extends Exception
{

    private static final long serialVersionUID = 8337812198614278567L;

    public SoundDetectorInternalErrorException()
    {
        super();
    }

    public SoundDetectorInternalErrorException(String message)
    {
        super(message);
    }

    public SoundDetectorInternalErrorException(Throwable throwable)
    {
        super(throwable);
    }

    public SoundDetectorInternalErrorException(String message, Throwable throwable)
    {
        super(message, throwable);
    }
}
