package edu.washington.cs.sounddetector.server.api.method;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import edu.washington.cs.sounddetector.server.api.Method;

public class GetOldNotifications implements Method
{
    private String phoneId;
    private Date greaterThanDate;
    private Date lessThanDate;

    public GetOldNotifications()
    {
    }

    /**
     * @param phoneId
     * @param greaterThanDate
     * @param lessThanDate
     */
    public GetOldNotifications(String phoneId, Date greaterThanDate, Date lessThanDate)
    {
        this.phoneId = phoneId;
        this.greaterThanDate = greaterThanDate;
        this.lessThanDate = lessThanDate;
    }

    /**
     * @return the phoneId
     */
    public String getPhoneId()
    {
        return phoneId;
    }

    /**
     * @param phoneId
     *            the phoneId to set
     */
    public void setPhoneId(String phoneId)
    {
        this.phoneId = phoneId;
    }

    /**
     * @return the greaterThanDate
     */
    public Date getGreaterThanDate()
    {
        return greaterThanDate;
    }

    /**
     * @param greaterThanDate
     *            the greaterThanDate to set
     */
    public void setGreaterThanDate(Date greaterThanDate)
    {
        this.greaterThanDate = greaterThanDate;
    }

    /**
     * @return the lessThanDate
     */
    public Date getLessThanDate()
    {
        return lessThanDate;
    }

    /**
     * @param lessThanDate
     *            the lessThanDate to set
     */
    public void setLessThanDate(Date lessThanDate)
    {
        this.lessThanDate = lessThanDate;
    }

    public String toString()
    {
        return new ToStringBuilder(this).append("phoneId", phoneId)
                .append("greaterThanDate", greaterThanDate).append("lessThanDate", lessThanDate)
                .toString();
    }
}
