package edu.washington.cs.sounddetector.server.api.method;

import org.apache.commons.lang3.Validate;
import org.apache.commons.lang3.builder.ToStringBuilder;

import edu.washington.cs.sounddetector.server.api.Method;

public class GetSounds implements Method
{
    private String detectorId;

    public GetSounds()
    {
    }

    /**
     * @param detectorId
     */
    public GetSounds(String detectorId)
    {
        Validate.notBlank(detectorId);

        this.detectorId = detectorId;
    }

    /**
     * @return the detectorId
     */
    public String getDetectorId()
    {
        return detectorId;
    }

    /**
     * @param detectorId
     *            the detectorId to set
     */
    public void setDetectorId(String detectorId)
    {
        this.detectorId = detectorId;
    }

    public String toString()
    {
        return new ToStringBuilder(this).append("detectorId", detectorId).toString();
    }
}
