package edu.washington.cs.sounddetector.server.api.method;

import org.apache.commons.lang3.Validate;
import org.apache.commons.lang3.builder.ToStringBuilder;

import edu.washington.cs.sounddetector.server.api.Method;

public class UnregisterReceiverPhone implements Method
{
    private String phoneId;

    public UnregisterReceiverPhone()
    {
    }

    public UnregisterReceiverPhone(String phoneId)
    {
        Validate.notBlank(phoneId);
        this.phoneId = phoneId;
    }

    /**
     * @param phoneId
     *            the phoneId to set
     */
    public void setPhoneId(String phoneId)
    {
        this.phoneId = phoneId;
    }

    /**
     * @return the phoneId
     */
    public String getPhoneId()
    {
        return phoneId;
    }

    public String toString()
    {
        return new ToStringBuilder(this).append("phoneId", phoneId).toString();
    }
}
