package edu.washington.cs.sounddetector.server.c2dm;

/**
 * Interface specifying how to remove a registration id. Used by {@link C2DMessaging}.
 * 
 * @author the.dylan.price@gmail.com
 */
public interface RegistrationIdRemover
{
    /**
     * @param registrationId
     *            the registration id to remove.
     */
    public void removeRegistrationId(String registrationId);
}
