package edu.washington.cs.sounddetector.server.testutil;

import org.junit.Ignore;

import edu.washington.cs.sounddetector.server.api.APIConsts;

@Ignore
public final class Data
{

    public static String DATA_DIR = "../data";

    public enum Doorbell
    {

        D1(DATA_DIR + "/doorbell/recording64979.wav"),
        D2(DATA_DIR + "/doorbell/recording64980.wav"),
        D3(DATA_DIR + "/doorbell/recording64981.wav"),
        D4(DATA_DIR + "/doorbell/recording64982.wav"),
        D5(DATA_DIR + "/doorbell/recording64983.wav"),
        D6(DATA_DIR + "/doorbell/recording64984.wav"),
        D7(DATA_DIR + "/doorbell/recording64985.wav"),
        D8(DATA_DIR + "/doorbell/recording64986.wav"),
        D9(DATA_DIR + "/doorbell/recording64987.wav"),
        D10(DATA_DIR + "/doorbell/recording64988.wav"),
        D11(DATA_DIR + "/doorbell/recording64989.wav"),
        D12(DATA_DIR + "/doorbell/recording64990.wav"),
        D13(DATA_DIR + "/doorbell/recording64991.wav"),
        D14(DATA_DIR + "/doorbell/recording64992.wav"),
        D15(DATA_DIR + "/doorbell/recording64993.wav"),
        D16(DATA_DIR + "/doorbell/recording64994.wav"),
        D17(DATA_DIR + "/doorbell/recording64995.wav");

        public static final String soundClass = "doorbell";
        private String path;

        private Doorbell(String path)
        {
            this.path = path;
        }

        public String getPath()
        {
            return this.path;
        }
    }

    public enum Microwave
    {
        M31(DATA_DIR + "/microwave/microwave_1.wav"),
        M32(DATA_DIR + "/microwave/microwave_2.wav"),
        M33(DATA_DIR + "/microwave/microwave_3.wav"),
        M1(DATA_DIR + "/microwave/mwav_2 near.wav"),
        M2(DATA_DIR + "/microwave/mwav_near1.wav"),
        M3(DATA_DIR + "/microwave/mwav_near3.wav"),
        M4(DATA_DIR + "/microwave/mwav_near4.wav"),
        M5(DATA_DIR + "/microwave/recording64907.wav"),
        M6(DATA_DIR + "/microwave/recording64908.wav"),
        M7(DATA_DIR + "/microwave/recording64909.wav"),
        M8(DATA_DIR + "/microwave/recording64910.wav"),
        M9(DATA_DIR + "/microwave/recording64911.wav"),
        M10(DATA_DIR + "/microwave/recording64912.wav"),
        M11(DATA_DIR + "/microwave/recording64913.wav"),
        M12(DATA_DIR + "/microwave/recording64914.wav"),
        M13(DATA_DIR + "/microwave/recording64915.wav"),
        M14(DATA_DIR + "/microwave/recording64916.wav"),
        M15(DATA_DIR + "/microwave/recording64917.wav"),
        M16(DATA_DIR + "/microwave/recording64918.wav"),
        M17(DATA_DIR + "/microwave/recording64919.wav"),
        M18(DATA_DIR + "/microwave/recording64920.wav"),
        M19(DATA_DIR + "/microwave/recording64921.wav"),
        M20(DATA_DIR + "/microwave/recording64922.wav"),
        M21(DATA_DIR + "/microwave/recording64923.wav"),
        M22(DATA_DIR + "/microwave/recording64924.wav"),
        M23(DATA_DIR + "/microwave/recording64925.wav"),
        M24(DATA_DIR + "/microwave/recording64926.wav"),
        M25(DATA_DIR + "/microwave/recording64927.wav"),
        M26(DATA_DIR + "/microwave/recording64928.wav"),
        M27(DATA_DIR + "/microwave/recording64929.wav"),
        M28(DATA_DIR + "/microwave/recording64930.wav"),
        M29(DATA_DIR + "/microwave/recording64931.wav"),
        M30(DATA_DIR + "/microwave/recording64932.wav");

        public static final String soundClass = "microwave";
        private String path;

        private Microwave(String path)
        {
            this.path = path;
        }

        public String getPath()
        {
            return this.path;
        }

    }

    public enum Unknown
    {
        U1(DATA_DIR + "/music_talking/recording64938.wav"),
        U2(DATA_DIR + "/music_talking/recording64939.wav"),
        U3(DATA_DIR + "/music_talking/recording64940.wav"),
        U4(DATA_DIR + "/music_talking/recording64941.wav"),
        U5(DATA_DIR + "/music_talking/recording64942.wav"),
        U6(DATA_DIR + "/music_talking/recording64943.wav"),
        U7(DATA_DIR + "/music_talking/recording64944.wav"),
        U8(DATA_DIR + "/music_talking/recording64945.wav"),
        U9(DATA_DIR + "/music_talking/recording64946.wav"),
        U10(DATA_DIR + "/music_talking/recording64947.wav"),
        U11(DATA_DIR + "/music_talking/recording64948.wav"),
        U12(DATA_DIR + "/music_talking/recording64949.wav"),
        U13(DATA_DIR + "/music_talking/recording64950.wav"),
        U14(DATA_DIR + "/music_talking/recording64951.wav"),
        U15(DATA_DIR + "/music_talking/recording64952.wav"),
        U16(DATA_DIR + "/music_talking/recording64953.wav"),
        U17(DATA_DIR + "/music_talking/recording64954.wav"),
        U18(DATA_DIR + "/music_talking/recording64955.wav"),
        U19(DATA_DIR + "/music_talking/recording64956.wav"),
        U20(DATA_DIR + "/music_talking/recording64957.wav"),
        U21(DATA_DIR + "/music_talking/recording64958.wav"),
        U22(DATA_DIR + "/music_talking/recording64959.wav"),
        U23(DATA_DIR + "/music_talking/recording64960.wav"),
        U24(DATA_DIR + "/music_talking/recording64961.wav"),
        U25(DATA_DIR + "/music_talking/recording64962.wav"),
        U26(DATA_DIR + "/music_talking/recording64963.wav"),
        U27(DATA_DIR + "/music_talking/recording64964.wav"),
        U28(DATA_DIR + "/music_talking/recording64965.wav"),
        U29(DATA_DIR + "/music_talking/recording64966.wav"),
        U30(DATA_DIR + "/music_talking/recording64967.wav"),
        U31(DATA_DIR + "/music_talking/recording64968.wav"),
        U32(DATA_DIR + "/music_talking/recording64969.wav"),
        U33(DATA_DIR + "/music_talking/recording64970.wav"),
        U34(DATA_DIR + "/music_talking/recording64971.wav"),
        U35(DATA_DIR + "/music_talking/recording64972.wav"),
        U36(DATA_DIR + "/music_talking/recording64973.wav"),
        U37(DATA_DIR + "/music_talking/recording64974.wav"),
        U38(DATA_DIR + "/music_talking/recording64975.wav"),
        U39(DATA_DIR + "/music_talking/recording64976.wav"),
        U40(DATA_DIR + "/music_talking/recording64977.wav"),
        U41(DATA_DIR + "/music_talking/mike_beep.wav"),
        U42(DATA_DIR + "/music_talking/unknown_1.wav"),
        U43(DATA_DIR + "/music_talking/unknown_2.wav"),
        U44(DATA_DIR + "/music_talking/unknown_3.wav");

        public static final String soundClass = APIConsts.UNKNOWN_SOUND_CLASS;
        private String path;

        private Unknown(String path)
        {
            this.path = path;
        }

        public String getPath()
        {
            return this.path;
        }
    }
}
