package edu.washington.cs.sounddetector.server.api;

/**
 * Constants for the API.
 * 
 * @author the.dylan.price@gmail.com
 * 
 */
public class APIConsts
{

    /**
     * The path to api calls on the server, relative to the server's root.
     */
    public static final String API_PATH = "/api/";

    /**
     * The name of the sound class which clients may not use.
     */
    public static final String UNKNOWN_SOUND_CLASS = "unknown";

    public static final String PUSH_KEY_NOTIFICATION_TYPE = "notificationType";

    public static enum PushNotificationType
    {
        SOUND_DETECTED
    }

}
